FROM node:18

# set working directory

# copy package.json and package-lock.json
COPY package*.json ./

# install dependencies
RUN npm install

# copy all files
COPY . .

# expose port
EXPOSE 4200

# run command
CMD ["npm", "start"]
